Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.interpreter.instruction
Class IPushArgument

    java.lang.Object
      gnu.prolog.vm.interpreter.instruction.Instruction
          gnu.prolog.vm.interpreter.instruction.IPushArgument

All Implemented Interfaces:
  Installable

    public class IPushArgument

extends Instruction

push argument of execution state

Field Summary
`int` | `argumentPosition` position of term in environment

Fields inherited from class gnu.prolog.vm.interpreter.instruction.Instruction
`codePosition`

Constructor Summary
`IPushArgument(int argumentPosition)` a constructor

Method Summary
`int` | `execute(ExecutionState state, BacktrackInfo bi)` execute call instruction within specified sate
`String` | `toString()` convert instruction to string

Methods inherited from class gnu.prolog.vm.interpreter.instruction.Instruction
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### argumentPosition

    public int argumentPosition

  position of term in environment

Constructor Detail

### IPushArgument

    public IPushArgument(int argumentPosition)

  a constructor

  Parameters:
    `argumentPosition` -

Method Detail

### execute

    public int execute(ExecutionState state,
                       BacktrackInfo bi)
                throws PrologException

  execute call instruction within specified sate

  Specified by:
    `execute` in class `Instruction`
  Parameters:
    `state` - state within which instruction will be executed
  Returns:
    instruction to caller how to execute next instruction
  Throws:
    `PrologException` - if code is throwing prolog exception

### toString

    public String toString()

  convert instruction to string

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD